import org.apache.ibatis.io.Resources;
import org.apache.ibatis.session.SqlSession;
import org.apache.ibatis.session.SqlSessionFactory;
import org.apache.ibatis.session.SqlSessionFactoryBuilder;
import org.starter.myBatis.mapper.UserMapper;
import org.starter.myBatis.pojo.User;

import java.io.IOException;
import java.io.InputStream;
import java.util.List;

public class Main3 {
    public static void main(String[] args) throws IOException {
        // 加载MyBatis核心配置文件，并获取SqlSession
        InputStream inputStream = Resources.getResourceAsStream("mybatis-config.xml");
        SqlSessionFactoryBuilder builder = new SqlSessionFactoryBuilder();
        SqlSessionFactory sqlSessionFactory = builder.build(inputStream);

        // 获取用于执行SQL的对象 —— SqlSession
        SqlSession sqlSession = sqlSessionFactory.openSession();

        // 获取UserMapper接口的代理对象
        UserMapper userMapper = sqlSession.getMapper(UserMapper.class);

        User user = new User();
        user.setUsername("genshinImpact");
        user.setPassword("Launch");
        user.setGender("男");
        user.setProvince("北京");
        user.setCity("北京");
        // 执行查询
        userMapper.addUser(user);
        System.out.println(user.getId());

        // 提交事务
        sqlSession.commit();

        // 关闭会话
        sqlSession.close();
    }
}
