package org.starter.myBatis;

import org.apache.ibatis.io.Resources;
import org.apache.ibatis.session.SqlSession;
import org.apache.ibatis.session.SqlSessionFactory;
import org.apache.ibatis.session.SqlSessionFactoryBuilder;
import org.starter.myBatis.pojo.User;

import java.io.IOException;
import java.io.InputStream;
import java.util.List;

public class UserDao {
    public List<User> getUser() throws IOException {
        // 加载MyBatis核心配置文件，并获取SqlSession
        InputStream inputStream = Resources.getResourceAsStream("mybatis-config.xml");
        SqlSessionFactoryBuilder builder = new SqlSessionFactoryBuilder();
        SqlSessionFactory sqlSessionFactory = builder.build(inputStream);

        // 获取用于执行SQL的对象 —— SqlSession
        SqlSession sqlSession = sqlSessionFactory.openSession();

        // 执行SQL并获取结果
        List<User> users = sqlSession.selectList("test.selectById", 1);
        System.out.println(users);

        // 关闭SqlSession
        sqlSession.close();

        // 返回值
        return users;
    }
}
